# -*- coding: utf-8 -*-

from RoadCentre import plugins


def on_rpc_object_connected(obj_name):
    if not obj_name.startswith('smsens'):
        return
    if not hasattr(plugins, 'RadarPlugin'):
        return
    plugins.RadarPlugin.addSensorsObject(plugins.JsonRpcClientPlugin.getObject(obj_name))

def show_settings_dialog():
    if not hasattr(plugins, 'RadarPlugin'):
        return
    from gui import mainWindow
    plugins.RadarPlugin.showSettingsDialog(mainWindow)
